petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscRealView

Prints an array of doubles; useful for debugging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRealView(PetscInt N,const PetscReal idx[],PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| N | - number of PetscReal in array
| idx | - array of PetscReal
| viewer | - location to print array, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF or 0

Developer Notes: idx cannot be const because may be passed to binary viewer where byte swappping is done

### See Also

PetscIntView()

Level:intermediate
Location:src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex10.c.html